GCLOUD_PREVIEW_APP_LOGS_READ(1)

NAME

gcloud preview app logs read - reads log entries for the current App Engine app

SYNOPSIS

gcloud preview app logs read [--level LEVEL; default="any"] [--limit LIMIT; default="200"] [--logs APP_LOG,[APP_LOG,...]; default="stderr,stdout,crash.log"] [--service SERVICE, -s SERVICE] [--version VERSION, -v VERSION] [GLOBAL-FLAG ...]

DESCRIPTION
Display the latest log entries from stdout, stderr and crash log for the current Google App Engine app in a human readable format.

FLAGS
--level LEVEL; default="any"
    Filter entries with severity equal to or higher than a given level. Must be one of (critical, error, warning, info, debug, any).
--limit LIMIT; default="200"
    Number of log entries to show.
--logs APP_LOG,[APP_LOG,...]; default="stderr,stdout,crash.log"
    Filter entries from a particular set of logs. Must be a comma-separated list of log names (request_log, stdout, stderr, etc).
--service SERVICE, -s SERVICE
    Limit to specific service.
--version VERSION, -v VERSION
    Limit to specific version.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To display the latest entries for the current app, run:
    $ gcloud preview app logs read
To show only the entries with severity at warning or higher, run:
    $ gcloud preview app logs read --level=warning
To show only the entries with a specific version, run:
    $ gcloud preview app logs read --version=v1
To show only the 10 latest log entries for the default service, run:
    $ gcloud preview app logs read --limit 10 --service=default
To show only the logs from the request log (recommended for standard apps), run:
    $ gcloud preview app logs read --logs=request_log

NOTES
This command is currently in DEVELOPER PREVIEW and may change without notice.